#encoding: utf-8
#----------------------------------------
# Mod pour \pokemonsdk\scripts\01500 Alpha 24 Battle Engine (deprecated)\01600 Scene_Battle\01300 Scene_Battle_Phase_4.rb
#----------------------------------------
# Mod mineur qui change juste l'affichage de la phrase de lancer de ball. (Dépendant du CSV 100100)
# Intègre une détection automatique des Nuzlockes Vanilla de PSDK et de celui de Death Overhaul.

#noyard
# Description: Définition de la phase d'action du combat
class Scene_Battle
	def phase4_use_item(action, readd = false)
		data = action[1]
		item_id = data[0]
		extend_data = data[1]
		position = data[2]
		if(readd) #>Réajout
			$bag.add_item(item_id,1) if(!position or position >= 0) and not extend_data[:ball_data] # Patch sur cette ligne
			return
		end
		unless extend_data[:ball_data]
			#> Récupération du nom (à améliorer)
			tname = position < 0 ? @trainer_names[-position-1] : $trainer.name
			::BattleEngine._msgp(18, 34, nil, ::PFM::Text::ITEM2[1] => GameData::Item[item_id].name, TRNAME[0] => tname)
		end
		if(position)
			pkmn = position < 0 ? @enemies[-position - 1] : @actors[position]
			if(extend_data[:skill_selected])
				extend_data[:action_to_push].call(pkmn, pkmn.skills_set[extend_data[:skill_selected]])
			else
				extend_data[:action_to_push].call(pkmn)
			end
			phase4_message_display
		elsif(extend_data[:action_to_push])
			extend_data[:action_to_push].call
			phase4_message_display
		elsif(extend_data[:ball_data])
			# Nuzlocke poke limit
			if defined?(DEATH_OVERHAUL) # Compatibilité Death Overhaul			
				if $game_switches[Yuki::Sw::AreaClause] == true and $pokemon_party.nuzlocke.catching_locked_here?
					unless ($scene.enemy_party.actors[0].shiny and $game_switches[Yuki::Sw::ShinyClause] == true)
						unless LEG.include?($scene.enemy_party.actors[0].id) and $game_switches[Yuki::Sw::LegendaryClause] == true
							display_message(ext_text(100100, 83)) # Mais \N[1] a déjà rencontré un Pokémon dans cette zone !
							@player_choice_ui&.visible = true
							@action_selector&.visible = true
							$bag.add_item(item_id, 1)
							@phase4_step += 1
							return
						end
					end
				end
			else
				# PSDK Nuzlocke Vanilla
				if defined?($pokemon_party.nuzlocke) #Compatibilité anciennes versions de PSDK avant la 24.52.
					if $pokemon_party.nuzlocke.enabled? and $pokemon_party.nuzlocke.catching_locked_here?
						unless $scene.enemy_party.actors[0].shiny
							display_message(ext_text(100100, 83)) # Vous avez déjà rencontré un Pokémon dans cette zone !
							@player_choice_ui&.visible = true
							@action_selector&.visible = true
							$bag.add_item(item_id, 1)
							@phase4_step += 1
							return
						end
					end
				end
			end
			$scene.message_window.blocking = false
			msg = parse_text(100, 64, TRNAME[0] => $trainer.name, ITEM2[1] => GameData::Item[item_id].name) # Ligne moddée pour plus de RP
			display_message(msg)
			$scene.message_window.blocking = true if $game_temp.trainer_battle == false
			phase4_try_to_catch_pokemon(extend_data[:ball_data], item_id)
		end
	end
end