#encoding: utf-8
#----------------------------------------
# Mod pour \pokemonsdk\scripts\01200 PFM\01000 PFM__Storage.rb
#----------------------------------------
# Interdit le soin des Pokés morts et hors-combat lorsque stockés dans le PC.

module PFM
	class Storage
		# ----- Empêche le soin d'un Pokémon mort lors de la stockage en PC -----
		# Store a Pokemon at a specific index in the current box
		# @param pokemon [PFM::Pokemon] the Pokemon to store
		# @param index [Integer] index of the Pokemon in the current box
		# @note The pokemon is healed when stored
		def store_pokemon_at(pokemon, index)
			@boxes[@current_box][index] = pokemon
			if !pokemon.status == GameData::States::Mort or !pokemon.status == GameData::States::Mort_d or !pokemon.status == GameData::States::Damaged or !pokemon.status == 9 #Pas de soin pour les 4 status hors-combat
				pokemon.cure
				pokemon.hp = pokemon.max_hp
			end
		end
	end
end
