#encoding: utf-8
#----------------------------------------
# Mod pour \pokemonsdk\scripts\01600 Scene_Battle\00200 Scene_Battle_Core.rb
#----------------------------------------
# Gère le verrouillage des zones en Nuzlocke.

#noyard
# Description: Définition du coeur du combat : fonctionnement principal de la scène de combat
class Scene_Battle

	#--------------------------------------------------------------------------
	# ● Fin du combat
	#		 result : résultat (0:Victoire 1:Défaite 2:Fuite)
	#--------------------------------------------------------------------------
	def battle_end(result)
		# Modification du flag de combat
		$game_temp.in_battle = false
		# Vidage des actions
#		$game_party.clear_actions
		# Annuler les status de combat
#		for actor in $game_party.actors
#			actor.remove_states_battle
#		end
		# Effacement des ennemis
		$game_troop.enemies.clear
		# Appel de la procedure de fin de combat (pour la branche d'évent)
		if $game_temp.battle_proc != nil
			$game_temp.battle_proc.call(result)
			$game_temp.battle_proc = nil
		end
		BattleEngine.get_actors.clear
		BattleEngine.get_enemies.clear
		if $game_switches[Yuki::Sw::AreaClause] == true
			unless $pokedex.pokemon_caught?($scene.enemy_party.actors[0].id) == true && $game_switches[Yuki::Sw::DupesClause] == true && $game_switches[Yuki::Sw::BT_Catch] == false
				$pokemon_party.nuzlocke.lock_catch_in_current_zone
			end
		end
		# Retour à la carte
		$scene = Scene_Map.new
	end
end