#encoding: utf-8
# ------------------------------
# Mod pour \pokemonsdk\scripts\01600 Scene_Battle\01000 Scene_Battle_Phase_2_Sub.rb
# ------------------------------
# Partie gérant l'interdiction des objets en combat. Ce plug-in requiert juste le script "14330 Only Pokeballs accessible.rb" et peut être utilisé de manière indépendante à Death Overhaul.

class Scene_Battle
	#===
	#> Affichage de l'interface du sac
	#===
	def phase2_display_bag
		
		$game_system.se_play($data_system.decision_se)
		if $game_variables[Yuki::Var::NoItemOnBattle] >= 1 #Inutile de lire ce code si la variable vaut 0 (cas le plus fréquent en jeu)
			case $game_variables[Yuki::Var::NoItemOnBattle]
			when 1..2
				t = $game_temp.trainer_battle
				if t
					@message_window.width = @viewport.rect.width if USE_ALPHA_25_UI
					@player_choice_ui&.visible = false
					@message_window.visible = false
					$scene.message_window.blocking = true
					display_message(text_get(100,84)) #"Vous vous êtes interdit l’utilisation d'objets lors des combats de dresseurs.")
					$scene.message_window.blocking = false
					@action_selector&.visible = true
					start_phase2(@actor_actions.size)
					return
				end
			when 4..12
				t = $game_temp.trainer_battle
				@message_window.width = @viewport.rect.width if USE_ALPHA_25_UI
				@player_choice_ui&.visible = false
				@message_window.visible = false
				$scene.message_window.blocking = true if t
				display_message(text_get(100,(82+$game_variables[Yuki::Var::NoItemOnBattle]))) #String 86 - 4 + valeur de la variable)
				$scene.message_window.blocking = false if t
				@action_selector&.visible = true
				start_phase2(@actor_actions.size)
				return
			end
		end	
		Graphics.freeze
		@message_window.visible = false
		@player_choice_ui&.visible = false
		#> Appel interne de l'interface
		scene = GamePlay::Battle_Bag.new(@actors)
		scene.main
		return_data = scene.return_data
		#> Retour sur la scène de combat
		if return_data == -1
			@action_selector&.visible = true
			@player_choice_ui&.visible = true
		end
		@message_window.visible = true
		Graphics.transition
		@player_choice_ui&.reset
		#> Action s'il y a bien eu utilisation d'un objet
		if return_data != -1
			@actor_actions.push([1,return_data])
			$bag.remove_item(return_data[0],1)
			update_phase2_next_act
		end


	end
end